Name:           diffuse
Version:        0.6.0
Release:        60%{?dist}
Summary:        Graphical tool for merging and comparing text files
License:        GPLv2+
URL:            https://mightycreak.github.io/diffuse/
Source0:        https://codeload.github.com/MightyCreak/diffuse/tar.gz/v0.6.0
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	autoconf
BuildRequires:	dh-autoreconf
BuildRequires:	meson
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-gobject
BuildRequires:	python3-cairo-devel
BuildRequires:	python3-cairo
BuildRequires:	gtk-update-icon-cache
BuildRequires:	/usr/bin/python
Requires:		hicolor-icon-theme
Requires:		python3
Provides:		mergetool
Provides:		difftool

%description
Diffuse is a graphical tool for merging and comparing text files. Diffuse is
able to compare an arbitrary number of files side-by-side and gives users the
ability to manually adjust line-matching and directly edit files. Diffuse can
also retrieve revisions of files from Bazaar, CVS, Darcs, Git, Mercurial,
Monotone, RCS, Subversion, and SVK repositories for comparison and merging.
This is the Python 3 fork of Diffuse.

%global debug_package %{nil}

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
#
# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2020 Romain Failliot <romain.failliot@foolstep.com> -->
<!--
BugReportURL: https://mightycreak.github.io/diffuse/
SentUpstream: 2020-11-03
-->
<application>
  <id type="desktop">diffuse.desktop</id>
  <metadata_license>CC0</metadata_license>
  <summary>Visually compare and merge text files</summary>
  <description>
    <p>
      Diffuse is a tool for visually merging and comparing text files side by side.
      Diffuse is  can visually compare an 2 or more text files against each other,
      and also allows users to manually adjust line matching and directly edit files.
      It also supports viewing revisions and merging files in source control management
      systems (SCM),with support for popular SCMs such as Bazaar, Git, Mercurial, and SVN.
    </p>
  </description>
  <url type="homepage">https://mightycreak.github.io/diffuse/</url>
  <screenshots>
    <screenshot type="default">http://diffuse.sourceforge.net/screenshot.png</screenshot>
  </screenshots>
  <!-- FIXME: change this to an upstream email address for spec updates
  <updatecontact>someone_who_cares@upstream_project.org</updatecontact>
   -->
</application>
EOF

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%meson_test

%files
%files -f %{name}.lang
%doc AUTHORS CHANGELOG.md COPYING README.md
%config(noreplace) %{_sysconfdir}/diffuserc
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/diffuse.desktop
%{_datadir}/gnome/help/diffuse/*/diffuse.xml
%{_datadir}/icons/hicolor/*/apps/diffuse.*
%{_datadir}/omf/diffuse/diffuse-*.omf
%{_mandir}/man*/*
%{_mandir}/*/man*/*
%dir %{_datadir}/gnome/help/diffuse
%dir %{_datadir}/gnome/help/diffuse/*
%dir %{_datadir}/omf/diffuse

%changelog
* Mon Dec  7 2020 bongochong <bongochong> Version 0.6.0
- Updated to 0.6.0. Mainly under the hood changes in this release, so nothing really visible to the users in this version. That said, I figured it was a long time since the last release (4 months ago) and, as promised, I want Diffuse development to be a bit more active and iterative. Replace old install.py with the more standard Meson. Remove u string prefixes since Python 3 is in UTF-8 by default. Replaced some interpolation operators (%) for the f string prefix. Use the window scale factor for the icons generation.
* Tue Nov  3 2020 bongochong <bongochong> Fedora Packaging of Python 3 Fork
- Initial upload to COPR of said fork.